Skip to content

[GET] Get Export Data Simplified⚓︎

Use this request to get the exported data of a specific Task, hiding its technical details.

Get Export Data Simplified⚓︎

GET/api/v1.0/external/sdtask/GetExportData/{taskid}/simplified

Path Parameters⚓︎

NameTypeDescription
taskidintegerThe ID that identifies the task to retrieve data on. This ID is always unique and never changes after it has been created.
externalIdstring
(optional)
An optional External ID, valid for your organization and added to the Task at creation, that uniquely identifies it in your Organization.

At least one of taskId or externalId must be specified.

What is an "External ID"?

While you integrate with our API, you may wish to keep track of your Tasks using an already existing identifier which is meaningful for your system and your business.

This is the purpose of the External ID - you can populate it with any string of text, as long as it is unique in your organization.

Example Request⚓︎

curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/{taskId}/simplified'
--header 'Authorization: Bearer {your access token here}'
var client = new HttpClient();

var accessToken = "your access token here";
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/{taskId}/simplified");

request.Headers.Add("Authorization", $"Bearer {accessToken}");

var response = await client.SendAsync(request);

response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests

url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/{taskId}/simplified"
access_token = "your access token here"

payload = {}
headers = {
'Authorization': f'Bearer {access_token}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
const myHeaders = new Headers();
const accessToken = "your access token here";
myHeaders.append("Authorization", `Bearer ${accessToken}`);

const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};

fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/{taskId}/simplified", requestOptions)
    .then(response => response.text())
    .then(result => console.log(result))
    .catch(error => console.log('error', error));

Responses⚓︎

{
  "taskId": 0,
  "originalFileUrl": "string",
  "taskNumber": 0,
  "workspaceId": 0,
  "batchId": 0,
  "externalId": "string",
  "displayName": "string",
  "description": "string",
  "totalPages": 0,
  "lastCheckoutByUserName": "string",
  "lastCheckedOutBy": 0,
  "lastCheckedOutUntil": "2025-12-31T15:11:57.418Z",
  "pages": [
    {
      "entities": [
        {
          "confidence": 0,
          "category": "string",
          "content": "string",
          "pageNumber": 0,
          "table": {
            "rowCount": 0,
            "columnCount": 0,
            "tableHeaders": [
              {
                "columnIndex": 0,
                "category": "string",
                "confidence": 0
              }
            ],
            "tableRows": {
              "additionalProp1": [
                {
                  "rowIndex": 0,
                  "columnIndex": 0,
                  "content": "string",
                  "confidence": 0
                }
              ],
              "additionalProp2": [
                {
                  "rowIndex": 0,
                  "columnIndex": 0,
                  "content": "string",
                  "confidence": 0
                }
              ],
              "additionalProp3": [
                {
                  "rowIndex": 0,
                  "columnIndex": 0,
                  "content": "string",
                  "confidence": 0
                }
              ]
            },
            "tableRowsTableContent": {
              "additionalProp1": "string",
              "additionalProp2": "string",
              "additionalProp3": "string"
            }
          },
          "qrCode": {
            "keyValues": [
              {
                "category": "string",
                "confidence": 0,
                "content": "string"
              }
            ],
            "qrCodeContent": "string"
          }
        }
      ],
      "averageConfidence": 0
    }
  ],
  "lastIntegratedBy": 0,
  "lastIntegratedByUserName": "string",
  "lastIntegratedOn": "2025-12-31T15:11:57.418Z",
  "metadata": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "averageConfidence": 0
}

Response body has no content.

Info

Note

Returned when no Task was found with the specified taskId or externalId.

Response body has no content.

Info

Note Returned when a taskId or externalId are not specified.